Loading...
Searching...
No Matches
Lomiri::DownloadManager::Logging::Logger Class Reference

The Logger class allows to control a logging that is performed within the library allowed the developer to set the log level as well as the path of the file where the logs are written. More...

`#include <logger.h>`

Collaboration diagram for Lomiri::DownloadManager::Logging::Logger:

## Public Types

enum | Level { Debug , Normal , Notification , Warning , Error , Critical }

## Static Public Member Functions

static void | init (Level lvl, const QString &path)

## Detailed Description

The Logger class allows to control a logging that is performed within the library allowed the developer to set the log level as well as the path of the file where the logs are written.

Since
  0.5

Definition at line 55 of file logger.h.

## Member Enumeration Documentation

## Level

enum Lomiri::DownloadManager::Logging::Logger::Level

The different log levels supported by the default logger of the lib.

Enumerator
Debug |
Normal |
Notification |
Warning |
Error |
Critical |

Definition at line 66 of file logger.h.

## Member Function Documentation

## init()

void Lomiri::DownloadManager::Logging::Logger::init | ( | Logger::Level | lvl,
|  | const QString & | path )

static

Initializes the logging service for the download library using the given level and writing the logs to the given path.

Definition at line 188 of file logger.cpp.

The documentation for this class was generated from the following files:

- logger.h
- logger.cpp